import { ScrollerSyncerInterface, Scroller } from '@fullcalendar/core/internal';

declare class ScrollerSyncer implements ScrollerSyncerInterface {
    private isHorizontal;
    private emitter;
    private scrollers;
    private destroyFuncs;
    private masterScroller;
    private isPaused;
    private prevX;
    private prevY;
    constructor(isHorizontal?: boolean);
    handleChildren(scrollers: Scroller[]): void;
    destroy(): void;
    get x(): number;
    get y(): number;
    scrollTo(scrollArg: {
        x?: number;
        y?: number;
    }): void;
    addScrollEndListener(handler: (arg: {
        x: number;
        y: number;
        isUser: boolean;
    }) => void): void;
    removeScrollEndListener(handler: (arg: {
        x: number;
        y: number;
        isUser: boolean;
    }) => void): void;
    bindScroller(scroller: Scroller): () => void;
    assignMaster(masterScroller: Scroller): void;
}

export { ScrollerSyncer };
